/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jrmp.mbean;

import javax.naming.InitialContext;

import org.jboss.naming.Util;
import org.jboss.system.ServiceMBeanSupport;
import org.jboss.test.jrmp.ejb.AString;

public class JRMPDLTest extends ServiceMBeanSupport implements JRMPDLTestMBean
{
   protected void startService() throws Exception
   {
      InitialContext ctx = new InitialContext();
      Util.rebind(ctx, "test/jrmp/IString", new AString("from the mbean"));
   }
   
   protected void stopService() throws Exception
   {
      InitialContext ctx = new InitialContext();
      Util.unbind(ctx, "test/jrmp/IString");
   }
}
